PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crmadmin [options] [node]

DESCRIPTION
query and manage the Pacemaker controller

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-command
    Show command options

--help-additional
    Show additional options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: text (default), xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

  Commands:

-S, --status=NODE
    Display the status of the specified node. Result is state of node's internal finite state machine, which can be useful for debugging

-P, --pacemakerd
    Display the status of local pacemakerd. Result is the state of the sub-daemons watched by pacemakerd.

-D, --dc_lookup
    Display the uname of the node co-ordinating the cluster. This is an internal detail rarely useful to administrators except when deciding on which node to examine the logs.

-N, --nodes=TYPE
    Display the uname of all member nodes [optionally filtered by type (comma-separated)] Types: all (default), cluster, guest, remote

  Additional Options:

-t, --timeout=DURATION
    Time to wait before declaring the operation failed (default 30s; use 0 to disable timeout)

-B, --bash-export
    Display nodes as shell commands of the form 'export uname=uuid' (valid with -N/--nodes)

-i, --ipc-name=NAME
    Name to use for ipc instead of 'crmadmin' (with -P/--pacemakerd).

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

-q, --quiet
    Display only the essential query information

NOTES
DURATION in any command line option can be specified as an integer number of seconds, an integer plus units (ms, msec, us, usec, s, sec, m, min, h, or hr), or an ISO 8601 period specification.

AUTHOR
Written by Andrew Beekhof and the Pacemaker project contributors

REPORTING BUGS
Report bugs to https://bugs.clusterlabs.org/enter_bug.cgi?product=Pacemaker